<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Effects/RadialProgressBar.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d58/_radial_progress_bar_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">RadialProgressBar.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d58/_radial_progress_bar_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d7d/class_radial_progress_bar.html">RadialProgressBar</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#afd55593ef1b2087f539b6eba7d87e3d6">    4</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#afd55593ef1b2087f539b6eba7d87e3d6">speed</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a826233b1abdc61a92d0e9e891ad958f5">    5</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a826233b1abdc61a92d0e9e891ad958f5">start_rotation</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a358a903cd5b8e3b58b92732999611042">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a358a903cd5b8e3b58b92732999611042">m_BarHider</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a249c17a2e2c174eabed196a9980e5c33">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a249c17a2e2c174eabed196a9980e5c33">m_BarPart</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">    9</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">m_Root</a>;    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">   10</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">m_Anim</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#ad19056d35e7d58acb7ca114cd2382581">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#ad19056d35e7d58acb7ca114cd2382581">x</a>, <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#aca3c3ed989865e11e9c4e31bc903493e">y</a>, <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a684065cfaee68b377847b8a8d5d98683">z</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">   12</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a> = 0;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> = 0;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a35d6e6117077276ac2cafdf3845a4c3c">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#a35d6e6117077276ac2cafdf3845a4c3c">RadialProgressBar</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">m_Anim</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a>();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(this.<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#adc50f8e8e72c3e0025af3bb3287d8c53">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#adc50f8e8e72c3e0025af3bb3287d8c53">~RadialProgressBar</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(this.<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a40d8e03c24b785d434dfda4a7fc79b4d">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#a40d8e03c24b785d434dfda4a7fc79b4d">SetProgress</a>( <span class="keywordtype">float</span> progress )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span>( progress &lt; 50 )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> = 0;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a> = 360 * ( progress / 100 );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a0521e746f784c6f86a18f2a50bec673d">   38</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#a0521e746f784c6f86a18f2a50bec673d">Update</a>(<span class="keywordtype">float</span> tDelta)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">m_Anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a52badcb79a1c778a7160911297ca4e1e">Tick</a>(tDelta);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">m_Root</a>.GetChildren();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordtype">int</span> index = 0;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">while</span> ( child )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#aae6ecae6539b23fa6fde58124d62f621">UpdateChild</a>( child, index );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            index++;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            child = child.GetSibling();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#aae6ecae6539b23fa6fde58124d62f621">   53</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#aae6ecae6539b23fa6fde58124d62f621">UpdateChild</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child, <span class="keywordtype">int</span> index )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordtype">float</span> rotation_value = ( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">m_Anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a9bbae09afef96e0cc33d738220ab1e9e">GetTargetValue</a>() * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a> );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span>( child.GetName() == <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a358a903cd5b8e3b58b92732999611042">m_BarHider</a> )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> == 0 )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a> &gt; 0 )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                        child.GetChildren().Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                        child.GetChildren().Show(<span class="keyword">false</span>);    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                child.GetChildren().SetRotation( 0, 0, <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a826233b1abdc61a92d0e9e891ad958f5">start_rotation</a> + <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                <span class="keywordflow">if</span>(  <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a> &gt; 180 )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                    <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> = 1;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                    child.GetChildren().SetRotation(0, 0, 360);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            }   </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( child.GetName() == <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a249c17a2e2c174eabed196a9980e5c33">m_BarPart</a> )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> == 0 )</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            child.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> == 1 )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                child.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                child.SetRotation( 0, 0, <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a826233b1abdc61a92d0e9e891ad958f5">start_rotation</a> + <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a> );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">rotation</a> &gt; 360 )</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                    <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">stage</a> = 2;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                    child.SetRotation( 0, 0, 180 );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../dc/d7d/class_radial_progress_bar.html#a4be7a9b5b565590cbc41550bb0de7814">   98</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d7d/class_radial_progress_bar.html#a4be7a9b5b565590cbc41550bb0de7814">OnWidgetScriptInit</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">m_Root</a> = w;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a358a903cd5b8e3b58b92732999611042">m_BarHider</a> = <span class="stringliteral">&quot;BarHider_&quot;</span> + <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">m_Root</a>.GetName();</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a249c17a2e2c174eabed196a9980e5c33">m_BarPart</a> = <span class="stringliteral">&quot;BarPart2_&quot;</span> + <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">m_Root</a>.GetName();</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">m_Anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a5b154495323910993150a241e40fe1e4">AnimateLoop</a>( <a class="code hl_variable" href="../../dc/d7d/class_radial_progress_bar.html#afd55593ef1b2087f539b6eba7d87e3d6">speed</a> );</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>};</div>
<div class="ttc" id="aclass_c_game_html_a9004d9575e5b4d37044604767b0a8797"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">CGame::GetUpdateQueue</a></div><div class="ttdeci">ScriptInvoker GetUpdateQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01320">Game.c:1320</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html">RadialProgressBar</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00002">RadialProgressBar.c:3</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a0521e746f784c6f86a18f2a50bec673d"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a0521e746f784c6f86a18f2a50bec673d">RadialProgressBar::Update</a></div><div class="ttdeci">protected void Update(float tDelta)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00038">RadialProgressBar.c:38</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a249c17a2e2c174eabed196a9980e5c33"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a249c17a2e2c174eabed196a9980e5c33">RadialProgressBar::m_BarPart</a></div><div class="ttdeci">protected string m_BarPart</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00008">RadialProgressBar.c:8</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a2dfd62f02a12119207abc8cfd58cdcea"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a2dfd62f02a12119207abc8cfd58cdcea">RadialProgressBar::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00009">RadialProgressBar.c:9</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a358a903cd5b8e3b58b92732999611042"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a358a903cd5b8e3b58b92732999611042">RadialProgressBar::m_BarHider</a></div><div class="ttdeci">protected string m_BarHider</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00007">RadialProgressBar.c:7</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a35d6e6117077276ac2cafdf3845a4c3c"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a35d6e6117077276ac2cafdf3845a4c3c">RadialProgressBar::RadialProgressBar</a></div><div class="ttdeci">void RadialProgressBar()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00016">RadialProgressBar.c:16</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a40d8e03c24b785d434dfda4a7fc79b4d"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a40d8e03c24b785d434dfda4a7fc79b4d">RadialProgressBar::SetProgress</a></div><div class="ttdeci">void SetProgress(float progress)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00028">RadialProgressBar.c:28</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a4be7a9b5b565590cbc41550bb0de7814"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a4be7a9b5b565590cbc41550bb0de7814">RadialProgressBar::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00098">RadialProgressBar.c:98</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a684065cfaee68b377847b8a8d5d98683"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a684065cfaee68b377847b8a8d5d98683">RadialProgressBar::z</a></div><div class="ttdeci">protected float z</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00011">RadialProgressBar.c:11</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a6f20dd4c2a713db2ff8e7c27ce3a0bc1"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a6f20dd4c2a713db2ff8e7c27ce3a0bc1">RadialProgressBar::m_Anim</a></div><div class="ttdeci">protected ref AnimatorTimer m_Anim</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00010">RadialProgressBar.c:10</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a7fd4083ea51af33274718c1e8976880d"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a7fd4083ea51af33274718c1e8976880d">RadialProgressBar::stage</a></div><div class="ttdeci">protected int stage</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00013">RadialProgressBar.c:13</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_a826233b1abdc61a92d0e9e891ad958f5"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#a826233b1abdc61a92d0e9e891ad958f5">RadialProgressBar::start_rotation</a></div><div class="ttdeci">reference float start_rotation</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00005">RadialProgressBar.c:5</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_aae6ecae6539b23fa6fde58124d62f621"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#aae6ecae6539b23fa6fde58124d62f621">RadialProgressBar::UpdateChild</a></div><div class="ttdeci">protected void UpdateChild(Widget child, int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00053">RadialProgressBar.c:53</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_aca3c3ed989865e11e9c4e31bc903493e"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#aca3c3ed989865e11e9c4e31bc903493e">RadialProgressBar::y</a></div><div class="ttdeci">protected float y</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00011">RadialProgressBar.c:11</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_ad19056d35e7d58acb7ca114cd2382581"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#ad19056d35e7d58acb7ca114cd2382581">RadialProgressBar::x</a></div><div class="ttdeci">protected float x</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00011">RadialProgressBar.c:11</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_adc50f8e8e72c3e0025af3bb3287d8c53"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#adc50f8e8e72c3e0025af3bb3287d8c53">RadialProgressBar::~RadialProgressBar</a></div><div class="ttdeci">void ~RadialProgressBar()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00023">RadialProgressBar.c:23</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_af8dc73adf4622c15e56e682b3e2efaae"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#af8dc73adf4622c15e56e682b3e2efaae">RadialProgressBar::rotation</a></div><div class="ttdeci">protected float rotation</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00012">RadialProgressBar.c:12</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html_afd55593ef1b2087f539b6eba7d87e3d6"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html#afd55593ef1b2087f539b6eba7d87e3d6">RadialProgressBar::speed</a></div><div class="ttdeci">reference float speed</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00004">RadialProgressBar.c:4</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a704b1e426e4369c79a8495f63cfe5eed"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">ScriptInvoker::Remove</a></div><div class="ttdeci">proto void Remove(func fn)</div><div class="ttdoc">remove specific call from list</div></div>
<div class="ttc" id="aclass_script_invoker_html_abeb2392b2e3dc0a34d0c5cafc96a288e"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">ScriptInvoker::Insert</a></div><div class="ttdeci">proto void Insert(func fn)</div><div class="ttdoc">insert method to list</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
<div class="ttc" id="agroup___tools_html_a52badcb79a1c778a7160911297ca4e1e"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a52badcb79a1c778a7160911297ca4e1e">AnimatorTimer::Tick</a></div><div class="ttdeci">void Tick(float timeslice)</div><div class="ttdoc">Ticks the timer, is called by timer subsystem.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00798">tools.c:798</a></div></div>
<div class="ttc" id="agroup___tools_html_a5b154495323910993150a241e40fe1e4"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a5b154495323910993150a241e40fe1e4">AnimatorTimer::AnimateLoop</a></div><div class="ttdeci">void AnimateLoop(float speed=1.0)</div><div class="ttdoc">Starts infinite animation loop &lt;-1,1&gt;. Based on sinus transition.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00760">tools.c:760</a></div></div>
<div class="ttc" id="agroup___tools_html_a9bbae09afef96e0cc33d738220ab1e9e"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a9bbae09afef96e0cc33d738220ab1e9e">AnimatorTimer::GetTargetValue</a></div><div class="ttdeci">float GetTargetValue()</div><div class="ttdoc">Returns target value. While AnimateLoop returns angle of cycle in radians.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00779">tools.c:779</a></div></div>
<div class="ttc" id="agroup___tools_html_d7/d10/class_animator_timer"><div class="ttname"><a href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00735">tools.c:736</a></div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga70ac517aa5d3b3af95f61a2d560d811f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a></div><div class="ttdeci">proto native volatile void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d52/_player_sound_manager_8c_source.html#l00122">PlayerSoundManager.c:122</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_2418e9d80a0516854dd5d3941838c411.html">Effects</a></li><li class="navelem"><a class="el" href="../../dc/d58/_radial_progress_bar_8c.html">RadialProgressBar.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
